Packages - Bug #2076
Housekeeping # 2071 (in progress): [STICKY][icu] and friends (armv7h)

[nonprism/webkit2gtk]: rebuild against new icu (armv7h)
2018-11-07 01:22 AM - freemor

Status: confirmed % Done: 100%
Priority: bug
Assignee:

Category:

Description

History

#1 - 2018-11-15 01:08 AM - freemor
- % Done changed from 0 to 10

- Status changed from open to in progress
Starting armv7h cross-compile

#2 - 2018-11-16 01:18 PM - freemor
36 hours of building, 4 GiB ram, 7GiB swap and | get

| /usr/bin/ld: final link failed: memory exhausted

| collect2: error: 1ld returned 1 exit status

| [2908/2932] Building CXX object Source/WebCore/CMakeFiles/WebCoreTestSupport.dir/__/__/DerivedSources/WebC
ore/JSMockPageOverlay.cpp.o

| DerivedSources/WebCore/JSMockPageOverlay.cpp: In member function ‘virtual bool WebCore::JSMockPageOverlayO
wner: :isReachableFromOpaqueRoots (JSC: :Handle<JSC: :Unknown>, void*, JSC::SlotVisitoré&) ':

| DerivedSources/WebCore/JSMockPageOverlay.cpp:140:6: note: parameter passing for argument of type ‘JSC::Han
dle<JSC: :Unknown>’ changed in GCC 7.1

| bool JSMockPageOverlayOwner: :isReachableFromOpaqueRoots (JSC::Handle<JSC: :Unknown> handle, void*, SlotVisi
tor& visitor)
| DerivedSources/WebCore/JSMockPageOverlay.cpp: In member function ‘virtual void WebCore::JSMockPageOverlayO
wner::finalize (JSC::Handle<JSC: :Unknown>, void*)’:

| DerivedSources/WebCore/JSMockPageOverlay.cpp:147:6: note: parameter passing for argument of type ‘JSC::Han
dle<JSC: :Unknown>’ changed in GCC 7.1

| void JSMockPageOverlayOwner::finalize (JSC::Handle<JSC: :Unknown> handle, void* context)
| [2909/2932] Building CXX object Source/WebCore/CMakeFiles/WebCoreTestSupport.dir/__/__/DerivedSources/WebC
ore/JSInternals.cpp.o

| DerivedSources/WebCore/JSInternals.cpp: In member function ‘virtual bool WebCore::JSInternalsOwner::isReac
hableFromOpaqueRoots (JSC: :Handle<JSC: :Unknown>, void*, JSC::SlotVisitorg)’:

| DerivedSources/WebCore/JSInternals.cpp:8449:6: note: parameter passing for argument of type ‘JSC::Handle<J
SC: :Unknown>’ changed in GCC 7.1

| bool JSInternalsOwner::isReachableFromOpaqueRoots (JSC::Handle<JSC: :Unknown> handle, void*, SlotVisitor& v
isitor)

| Nammn s~ v

| DerivedSources/WebCore/JSInternals.cpp: In member function ‘virtual void WebCore::JSInternalsOwner::finali
ze (JSC: :Handle<JSC: :Unknown>, void*)’:

| DerivedSources/WebCore/JSInternals.cpp:8456:6: note: parameter passing for argument of type ‘JSC::Handle<J
SC::Unknown>' changed in GCC 7.1

| void JSInternalsOwner::finalize (JSC::Handle<JSC: :Unknown> handle, void* context)

| ~~~~~~~~~~~~~~~

| ninja: build stopped: subcommand failed.

| ==> ERROR: A failure occurred in build().

| Aborting...
=> Copying log and package files out of the chroot...

#3 - 2018-11-16 01:21 PM - freemor

- Status changed from in progress to open

#4 - 2018-11-27 12:45 PM - freemor
The above error is due to some issue with doing debug builds in a cross-compile. Which causes errors like
/usr/bin/ld.gold: fatal error: lib/libwebkit2gtk-4.0.50.37.33.5: mmap: failed to allocate 1781955648 bytes for output file: Cannot allocate memory'
Even on BeefCake which has massive memory resources.

Will try this again (with debug turned off) once the current iceape build finishes

#5 - 2018-11-27 06:19 PM - freemor

- % Done changed from 10 to 20

- Assignee set to freemor

- Status changed from open to in progress

#6 - 2018-11-27 06:19 PM - freemor

- Subject changed from [nonprixm/webkit2gtk] needs rebuild against [icu 63.1] for armv7h to [nonprism/webkit2gtk] needs rebuild against [icu 63.1]

for armv7zh

#7 - 2018-11-29 01:34 AM - freemor
- % Done changed from 20 to 90

Rebuilt and waiting for ARM testers in https://freemor.homelinux.net/~freemor/shared_files/parabola_arm_testing/

#8 - 2019-12-02 12:25 PM - freemor
- % Done changed from 90 to 100

- Status changed from in progress to fixed

#9 - 2020-05-05 02:21 PM - bill-auger

- Subject changed from [nonprism/webkit2gtk] needs rebuild against [icu 63.1] for armv7h to [nonprism/webkit2gtk]: rebuild against new icu (armv7h)

#10 - 2020-05-05 02:28 PM - bill-auger

- Status changed from fixed to confirmed

#11 - 2020-05-05 02:28 PM - bill-auger

- Assignee deleted (freemor)

#12 - 2020-05-05 02:29 PM - bill-auger
- Status changed from confirmed to open

- Tracker changed from Bug to Housekeeping

#13 - 2023-09-01 03:48 AM - bill-auger
- Status changed from open to unconfirmed

- Tracker changed from Housekeeping to Bug

#14 - 2023-09-01 03:49 AM - bill-auger

- Status changed from unconfirmed to confirmed
